Package: org.codehaus.groovy.runtime.callsite

## [Java] Class StaticMetaMethodSite

- org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

- POJO call site meta class - cached method - cached

  Authors:
    Alex Tkachman

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
    `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaMethodSite` | `params`
    `class MetaClassSite` | `metaClass`
    `class AbstractCallSite` | `array, index, name`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticMetaMethodSite (CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Object` | `call(Object receiver, Object[] args)`
    `` | `Object` | `callStatic(Class receiver, Object[] args)`
    `` | `protected boolean` | `checkCall(Object receiver, Object[] args)`
    `` | `protected boolean` | `checkCall(Object receiver)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3)`
    `` | `protected boolean` | `checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)`
    `` | `static CallSite` | `createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)`
    `` | `Object` | `invoke(Object receiver, Object[] args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class AbstractCallSite`

    `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public StaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

  - ### Method Detail

    - #### public Object call(Object receiver, Object[] args)

    - #### public Object callStatic(Class receiver, Object[] args)

    - #### protected final boolean checkCall(Object receiver, Object[] args)

    - #### protected final boolean checkCall(Object receiver)

    - #### protected final boolean checkCall(Object receiver, Object arg1)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3)

    - #### protected final boolean checkCall(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

    - #### public static CallSite createStaticMetaMethodSite(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)

    - #### public Object invoke(Object receiver, Object[] args)